package it.cs.androidmaps;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;

public class GMapsControllerExampleActivity extends MapActivity {
	
	private int currentLat;
	private int currentLong;
	private int step;
	
	private GeoPoint gp;
	private MapView gmap;
	
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        currentLat=44494290;
        currentLong=11346526;
        step=1000000;
        gmap=(MapView) findViewById(R.id.map);
        gmap.getController().setCenter(new GeoPoint(currentLat,currentLong));
        gmap.getController().setZoom(12);
        gmap.setBuiltInZoomControls(true);
        gmap.setClickable(true);
        gmap.setSatellite(true);
    }
    

	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
	
	
	public void increaseLat(View v) {		
		currentLat+=step;
		gp=new GeoPoint(currentLat,currentLong);
		gmap.getController().animateTo(gp);
	}
	
	public void decreaseLat(View v) {
		currentLat-=step;
		gp=new GeoPoint(currentLat,currentLong);
		gmap.getController().animateTo(gp);
	}
	
	public void increaseLon(View v) {
		currentLong+=step;
		gp=new GeoPoint(currentLat,currentLong);
		gmap.getController().animateTo(gp);
	}
	
	public void decreaseLon(View v) {
		currentLong-=step;
		gp=new GeoPoint(currentLat,currentLong);
		gmap.getController().animateTo(gp);
	}
}