package it.android.cs33;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.location.Location;
import android.net.Uri;
import android.os.Bundle;
import android.widget.TextView;
import android.widget.Toast;

public class GMapsMyLocationOverlayExampleActivity extends MapActivity {
    /** Called when the activity is first created. */
	private MyLocation mOverlay;
	private MapView gmap;
	private Context mContext;
	private TextView textLat;
	private TextView textLon;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        gmap=(MapView)findViewById(R.id.map);
        gmap.setClickable(true);
        gmap.setBuiltInZoomControls(true);
        mOverlay=new MyLocation(this,gmap);
        gmap.getOverlays().add(mOverlay);
        mContext=getApplicationContext();
        textLat=(TextView)findViewById(R.id.textView1);
        textLon=(TextView)findViewById(R.id.textView2);
       
    }
    
    protected void onResume() {
    	super.onResume();
    	mOverlay.enableMyLocation();
    	mOverlay.runOnFirstFix(new Runnable() {

			@Override
			public void run() {
				gmap.getController().animateTo(mOverlay.getMyLocation());
				gmap.getController().setZoom(16);
				
			}
    		
    	});
    	
    }
    
    protected void onPause() {
    	super.onPause();
    	mOverlay.disableMyLocation();
    }
    
    
    public void onLocationChanged(Location location) {
   
    	textLat.setText("Latitute "+location.getLatitude());
    	textLon.setText("Longitude "+location.getLongitude());
		
    	
    }

	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
	

	class MyLocation extends MyLocationOverlay {

		public MyLocation(Context context, MapView mapView) {
			super(context, mapView);
			// TODO Auto-generated constructor stub
		}
		
	     @Override
		 public void onLocationChanged(Location location) {
			   	super.onLocationChanged(location);

			   	textLat.setText("Latitute: "+location.getLatitude());
		    	textLon.setText("Longitude: "+location.getLongitude());		
		    	
		    }
		
	}
}