package it.cs.androidmaps2;

import java.util.LinkedList;
import java.util.List;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;
import com.google.android.maps.Overlay;
import com.google.android.maps.ItemizedOverlay;
import com.google.android.maps.OverlayItem;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.Bundle;

public class GMapsOverlayExampleActivity extends MapActivity {
	private MapView gmap;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        gmap=(MapView)findViewById(R.id.map);
        Drawable icon=getResources().getDrawable(R.drawable.marker2);
        DepartmentOverlay deptOpv=new DepartmentOverlay(icon,this);
        gmap.getOverlays().add(deptOpv);
        gmap.getController().setCenter(new GeoPoint(44497301,11356466));
        gmap.getController().setZoom(16);
        gmap.setClickable(true);
        gmap.setBuiltInZoomControls(true);
    }
    
    
    class DepartmentOverlay extends ItemizedOverlay<OverlayItem> {
    	
    	private List<OverlayItem> dept=new LinkedList<OverlayItem>();
    	private Drawable marker;
    	private Context mcontext;
    	
    	public DepartmentOverlay(Drawable defaultMarker, Context context) {
			super(defaultMarker);
			marker=defaultMarker;
			mcontext=context;
			dept.add(new OverlayItem(new GeoPoint(44497301,11356466),"Computer Science Department", "Via M. Anteo Zamboni 7, 40126 Bologna"));
			dept.add(new OverlayItem(new GeoPoint(44499505,11354063),"Physics Department", "Via Irnerio 46, 40126 Bologna"));
			dept.add(new OverlayItem(new GeoPoint(44496490,11354195),"Chemistry Department", "Via Selmi 2, 40126 Bologna"));
			populate();
			// TODO Auto-generated constructor stub
		}
		
    	
    	@Override
		protected OverlayItem createItem(int i) {
			return dept.get(i);
		}
		@Override
		public int size() {
			// TODO Auto-generated method stub
			return dept.size();
		}
    	
		public void draw(Canvas canvas, MapView mapView, boolean shadow) {
			super.draw(canvas, mapView, shadow);
			boundCenterBottom(marker);
		}
		
		public boolean onTap(int index) {
			OverlayItem item=dept.get(index);
			AlertDialog.Builder dialog=new AlertDialog.Builder(mcontext);
			dialog.setTitle(item.getTitle());
			dialog.setMessage(item.getSnippet());
			dialog.show();
			return true;
			
		}
		
    }


	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
}